Cancel
Showing results for 
Search instead for 
Did you mean: 

Ask G0 Constraints of Studio Spline NXOpen C#

Pioneer
Pioneer

Is their a Function to Ask the G0 Constraint of a Point in a Studio Spline ?

 

Thanks !

1 REPLY

Re: Ask G0 Constraints of Studio Spline NXOpen C#

Genius
Genius

Hi Ildon,

 

I'm not sure if I understood your question in the right way:

Since you are talking about G0 constraints, you will need at least

2 curves (Splines, Edges, whatever). In other words you want to

check if two (let's say) 'objects' meet at a common point p.

 

You can solve this problem in different ways:

1) You can check the Euclidian distance of start- and endpoints of your two splines, in most of the

     cases they meet at start- or endpoints: ||p1-p2|| = sqrt(...)

2) You can implement a Newton-Method in C# which determines the minimal distance between to

    Spline curves in general.

3) You can use NXOpen UF_MODL_ask_minimum_dist (this is basically the Newton method but not only

     restricted to curves but faces, etc.)

4) You can use the CurveContinuityBuilder to check G0 continuity.

 

If I misunderstood your question and you are interested in the constraints the user defined while

creating the spline (e.g. the user says 'this spline has to be G0 at that specific point')  you can have

a look at NXOpen:Smiley Tongueositioning::Constraint, perhaps this helps you further.

 

Bye,

 

Flo